BCAST(1)                XROUTER REFERENCE MANUAL              4/9/2023

COMMAND
        BCAST -- Trigger a "nodes" broadcast.

SYNOPSIS
        BC[ast] <portnum>

DESCRIPTION
        The BC[ast] command triggers an immediate NetRom "nodes"
        broadcast on the specified port, speeding up the process
        of neighbour discovery after a system restart.

        If a broadcast is triggered with this command, the next
        "scheduled" broadcast is re-scheduled, to take place after
        another NODESINTERVAL.

        Although this command was intended for test purposes only,
        it can also be used in CRONTAB.SYS for scheduling nodes
        broadcasts at specific times, overriding the automatic
        scheduler. This could for example be used to stagger the
        broadcasts to reduce loading on a radio PSU for example.


AVAILABILITY
        Sysop-only.

NOTE
        This COMMAND should not be confused with the DIRECTIVE of
        the same name, used in XROUTER.CFG, which has a different
        purpose altogether.

SEE ALSO
        BCPOLL(1)      -- Request a nodes broadcast.
        BCAST(9)       -- UI Broadcasting
        NODESINT(1)    -- NODESINTERVAL command
        CRONTAB.SYS(8) -- Events control file
        XROUTER.CFG(8) -- Main Configuration File.

BCAST(1)                    END OF DOCUMENT
